"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ScrollView = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _SegmentContext = require("../SegmentContext");

var _SegmentedViewContext = require("../SegmentedViewContext");

var _useCollapsibleStyle = require("../useCollapsibleStyle");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Use like a regular ScrollView.
 */
const ScrollView = ({
  contentContainerStyle,
  style,
  onContentSizeChange,
  children,
  refreshControl,
  ...rest
}) => {
  const ref = _react.default.useRef();

  const {
    style: _style,
    contentContainerStyle: _contentContainerStyle,
    progressViewOffset
  } = (0, _useCollapsibleStyle.useCollapsibleStyle)();
  const {
    index
  } = (0, _SegmentContext.useSegmentContext)();
  const {
    scrollY,
    setRef
  } = (0, _SegmentedViewContext.useSegmentedViewContext)();

  _react.default.useEffect(() => {
    // @ts-ignore
    setRef(ref, index); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.ScrollView, _extends({}, rest, {
    // @ts-ignore
    ref: ref,
    bouncesZoom: false,
    style: [_style, style],
    contentContainerStyle: [_contentContainerStyle, contentContainerStyle],
    onScroll: _reactNative.Animated.event([{
      nativeEvent: {
        contentOffset: {
          y: scrollY
        }
      }
    }], {
      useNativeDriver: true
    }),
    refreshControl: refreshControl && /*#__PURE__*/_react.default.cloneElement(refreshControl, { ...refreshControl.props,
      progressViewOffset
    })
  }), children);
};

exports.ScrollView = ScrollView;
//# sourceMappingURL=ScrollView.js.map